Zend Guard instead of Optimizer

General discussion on Zend Guard / Optimizer

Zend Guard instead of Optimizer

Postby krazybob on Thu Jun 21, 2012 7:42 am

I asked yum to install zend guard loader and ION. I got both of them but also got php5.3.14. What is didn't get is problematic. I have a client site that has a page that keeps getting Zend Optimizer not Installed. Well, 2.3.0 is installed, so why the warning? I have 3.3.3 on another server (32-bit) so why can't I have it on 64-bit Centos 6.2? Really, how do I make Zend appear to pages calling it. Instead of solving a problem I've made it worse.

Zend Optimizer not installed

This file was encoded by the Zend Guard. In order to run it, please install the Zend Optimizer (available without charge), version 3.0.0 or later.
Seeing this message instead of the website you expected?
This means that this webserver is not configured correctly. In order to view this website properly, please contact the website's system administrator/webmaster with the following message:


I am told that I cannot have Zend Optimizer on Centos 6.2 64.bit. I'd love to hear that I am wrong.
krazybob
 
Posts: 1
Joined: Thu Jun 21, 2012 7:37 am

Re: Zend Guard instead of Optimizer

Postby diemuzi on Tue Jun 26, 2012 1:01 am

I don't see why Zend Optimizer cannot be installed on Centos 6.2 x64 as the ZendOptimizer.so is simply a file that get's loaded from the php.ini file. From the error you are receiving it looks like you need to install the latest Zend Optimizer. Just visit the download section and download the x64 bit version of Zend Optimizer and manually install it and point your php.ini to the correct location.

Here is my Zend Optimizer php.ini configuration if it helps you any:

[Zend]
zend_extension=/usr/local/zend/php-5.3.x/ZendGuardLoader.so
MSF RiderCoach at http://bikertraining.net
diemuzi
 
Posts: 132
Joined: Mon Oct 04, 2010 3:12 pm
Location: Pensacola, Florida

Re: Zend Guard instead of Optimizer

Postby stevekline on Thu Nov 01, 2012 6:53 pm

I've been in and out of forums for 4-5 days now looking for issues to my problem. From what I've learned, they only support 32-bit atm for the Zend Optimizer from my knowledge.
stevekline
 
Posts: 6
Joined: Thu Nov 01, 2012 5:12 pm

Re: Zend Guard instead of Optimizer

Postby stevekline on Fri Nov 02, 2012 5:09 pm

I've figured it out....

Uninstall 5.3... Install 5.2... Only way it seems to work.
stevekline
 
Posts: 6
Joined: Thu Nov 01, 2012 5:12 pm


Return to Zend Guard / Optimizer

Who is online

Users browsing this forum: No registered users and 2 guests